const system=require("../../system");
const ServiceBase=require("../sve.base")
class ProductService extends ServiceBase{
  constructor(){
     super(ServiceBase.getDaoName(ProductService));
  }
  async list(appId){
    var ps=await this.cacheManager["ProductCache"].cacheProducts(appId);
    //var ps=await this.dao.list(appId);
    //遍历产品列表，查看code,到页面目录下创建code名称的目录并创建两个
    return ps;
  }
  async findOneByCode(code){
    return this.dao.findOneByCode(code);
  }
}
module.exports=ProductService;
